@echo off
if "%1"=="" goto err

echo ----
echo -    Double-check that you've entered the right path to your
echo -    Dark Reign directory. If you haven't, the scenario
echo -    won't be properly installed and won't work!
echo -    We're assuming you've entered the directory name
echo -    according to this format:
echo -    onlin2 c:\"program files"\activision\"dark reign"
echo ----

pause

if not exist %1\dark\addon\nul goto makedir

:go

md %1\dark\addon\onlin2

copy onlin2.ftg %1\dark\addon\onlin2

md %1\dark\scenario\single\onlin2

copy onlin2.map %1\dark\scenario\single\onlin2
copy onlin2.scn %1\dark\scenario\single\onlin2
copy tactics.mm %1\dark\scenario\single\onlin2
copy packman.cfg %1\dark\scenario\single\onlin2
copy onlin2.cfg %1\dark\addon\onlin2
copy mlstring.cfg %1\dark\scenario\single\onlin2
copy build.txt %1\dark\scenario\single\onlin2
copy dethloss.end %1\dark\scenario\single\onlin2
copy gamemsg.txt %1\dark\scenario\single\onlin2
copy onlin2.brf %1\dark\scenario\single\onlin2
copy onlin2.end %1\dark\scenario\single\onlin2
copy hounds.fsm %1\dark\scenario\single\onlin2
copy main.fsm %1\dark\scenario\single\onlin2
copy units.txt %1\dark\scenario\single\onlin2
copy weapon.txt %1\dark\scenario\single\onlin2
copy lose.end %1\dark\scenario\single\onlin2

goto success

:success

echo -
echo -    Your game directory is now updated with the new mission!
echo -
goto end

:err

echo /--------------------------------------------------------------------\
echo -    Enter the directory in which you installed Dark Reign.   -
echo -                                                                    -
echo -    eg: onlin2 c:\"program files"\activision\"dark reign"            -
echo \--------------------------------------------------------------------/
pause
goto end

:makedir

@md %1\dark\addon

goto go

:end

